%global modname rtstool

Name:           python-%{modname}
License:        AGPLv3
Summary:        Command-line interface for rtslib
Version:        0.1a3
Release:        1%{?dist}
URL:            https://github.com/eharney/%{modname}/
Source:         https://pypi.python.org/packages/source/r/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-rtslib

%description
A command-line interface for rtslib, used to manage iSCSI targets

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_mandir}/man8
install -p -D -m 644 rtstool.8 %{buildroot}%{_mandir}/man8/

%files
/usr/bin/rtstool
%{python_sitelib}/*
%doc COPYING
%doc %{_mandir}/man8/rtstool.8.gz

%changelog
* Mon Mar 25 2013 Eric Harney <eharney@redhat.com> - 0.1a3-1
- Initial packaging
